
html {
  user-select: none;
  --accent: white;
  --background: #222;
  font: 18px sans-serif;
  color: var(--accent);
  background: var(--background);
}

/*
@media (prefers-color-scheme: dark) {
  html {
    --accent: white;
    --background: #222;
  }
}
*/

body {
  margin: 0;
}


body:not(.paused) #resume {
  display: none;
}

#resume {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgba(0, 0, 0, 0.6);
}

#banner {
  padding: 0.2em;
  background: red;
  display: flex;
}

#clock {
  width: 100vw;
  height: 1.5em;
  box-sizing: border-box;
  margin-bottom: 1em;
  display: flex;
  align-items: center;
  padding: 0.2em;
  font-size: 1.1em;
}

#clock:not(.tick) {
  background: green;
  color: white;
}

#clock.tick {
  background: var(--background);
  transition: background 1s;
}

#partChoosers {
  display: flex;
}

#partChoosers > div {
  margin: 0.25em;
}

#partChoosers h2 {
  margin-bottom: 0;
}

#section {
  display: flex;
  justify-content: center;
  margin: 0 1em;
}

#section > label {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: baseline;
  border: 1px solid rgba(127, 127, 127, 0.5);
  margin: 0 0.2em;
  padding: 1em 0.2em;
  border-radius: 0.2em;
}

#section > input {
  display: none;
}

#section > input:checked+label {
  background: rgba(127, 127, 127, 0.5);
}

#noteDonations {
  touch-action: none;
  display: flex;
  flex-wrap: wrap;
  margin: 1em;
  justify-content: space-between;
}

#noteDonations > button {
  width: calc(32vw - 0.2em - 0.5em - 4px);
  justify-content: center;
  align-items: baseline;
  border: 1px solid rgba(127, 127, 127, 0.5);
  margin: 0.5em 0.2em;
  padding: 1em 0.2em;
  border-radius: 0.2em;
  background: none;
  font: inherit;
  font-size: 1.5em;
  color: inherit;
}

#noteDonations > button:active {
  background: rgba(127, 127, 127, 0.5);
}
